<?php
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	Login Template
 * @since 	    5.1.8
 * @version	    5.2.8
 */

defined( 'ABSPATH' ) || exit;

// Escaping attrs is not necessary with wecodeart_input()
// Is already done inside the function via esc_attr()

/**
 * @param   string  $action Contains the form action url
 * @param   array   $args   Contains the form args
 */
?>
<form action="<?php echo esc_url( $action ); ?>" method="post">
    <?php
    
        // WP Filter
        echo apply_filters( 'login_form_top', '', $args );
    
    ?>
    <p><?php
            
        wecodeart_input( 'text', [
            'label' => $args['label_username'],
            'attrs' => [
                'id'            => $args['id_username'],
                'name'          => 'log',
                'value'         => $args['value_username'],
                'size'          => 20,
                'required'      => true,
            ]
        ] );

    ?></p>
    <p><?php
            
        wecodeart_input( 'password', [
            'label' => $args['label_password'],
            'attrs' => [
                'id'            => $args['id_password'],
                'name'          => 'pwd',
                'size'          => 20,
                'required'      => true,
            ]
        ] );

    ?></p><?php
    
        // WP Filter
        echo apply_filters( 'login_form_middle', '', $args );
    
        if( $args['remember'] ) :
    
        wecodeart_input( 'toggle', [
            'type'  => 'checkbox',
            'label' => esc_html( $args['label_remember'] ),
            'attrs' => [
                'id'    => $args['id_remember'],
                'name'  => 'rememberme',
                'value' => 'forever',
                'class' => 'form-switch mb-3',
                'checked' => (bool) $args['value_remember']
            ]
        ] );
    
    ?><?php endif; ?><p><?php

        wecodeart_input( 'submit', [
            'attrs' => [
                'name'  => false,
                'id'    => 'wp-submit',
                'value' => $args['label_log_in'],
                'class' => 'wp-block-login__button',
            ]
        ] );

        wecodeart_input( 'hidden', [
            'attrs' => [
                'id'    => false,
                'name'  => 'redirect_to',
                'value' => esc_url( $args['redirect'] )
            ]
        ] );

    ?></p><?php
        
        // WP Filter
        echo apply_filters( 'login_form_bottom', '', $args );
        
    ?>
</form>
		